Subject: The Best Hydroponics

From: "Lawrence F. London, Jr." <[email-masked]>
Date: Tue, 15 Jul 1997 14:33:09 -0400

http://www.ncf.carleton.ca/~de440/

-- 
Lawrence F. London, Jr.
mailto:[email-masked]  
http://sunSITE.unc.edu/InterGarden
HYDROPONICS--BORGOPONICS--AEROPONICS--TURFOPONICS--HERBOPONICS--ESCARGOPONICS
High-Quality Innovative Envelope-Pushing Technology @ the Lowest Possible $$$
*SPECIAL*:430W HPS Son-Agro H/V Boxed kit & P3000 reflector $219 CDN (16 kg)
*SPECIAL*:Iwasaki Super 400 W MX/Universal bulb (4200 K) $29 CDN (1.5 kg)
***DISCLAIMER*** we sell only to those growing LEGAL organisms ***
the Best Hydroponics-Joanne Best CEO %%Volume discounts available.%%
27 years experience Mike Roberts,B.Sc.Bio. resident environmental artisan
Ottawa, Ontario, Canada e-mail: [email-masked](Joanne) de310(Mike)
$$WE WILL BEAT ANY LEGIT. PRICE$$ http://www.ncf.carleton.ca/~de440/ or 310
Tip O'the day :FREE motion-activated Scarecrow sprinkler plans with any order
Credit given for Money Orders sent Regular Air-Mail on All orders payable to:
The Best Company c/o Joanne E. Best, Ottawa, Ontario, Canada v.p.#9902-0068
Post-Office box address where you can mail things to us available
!Please remember to include destination address & shopping list with payment!
Shipping via your choice of courier or regular post (weights below)
be sure to have shipper note ANY damage to package or contents on arrival !!!
all prices in CANADIAN funds Eh ! (you lucky Yanks multiply prices by 0.73)

LONG OVERDUE Mike's Bucket(tm) : everything (but the light) necessary for the
genesis of a prolific jungle in any vacant space contains :
your choice of fertilizer, blood, kelp, VITA-GROW tablets(see below),
Deluxe pH test kit, EC/TDS/conductivity meter for nutrient solution,
Pyrethrin spray insecticide (just in case), soil moisture & pH
probes, magnesium sulfate (Epsom salts (MgSo4)), dolomitic limestone,
your choice of substrate-media, nifty scissors, razorblades, Mylar,
pressure-pump sprayer, rooting/cloning hormone, magnifying lense,
(bucket not included (+$2 for a recycled 20L(5 gal.) bucket & lid))

EXC LUS IVE Parapluie 3000(tm) COLLAPSABLE-EXPANDABLE-MODIFIABLE ultra-ultra
-lightweight yet unbreakable (practically) skeletal reflectors. 54" X 54"
or Custom built to your specs. Same reflectivity as Mylar, with FULL
coverage. HOR/side-lume merely $34 (1.5 kg+), vertical a scant $24 (1 kg+).
Stands from $19 (4 kg+). Patents pending. NOW each comes complete with
Mogul socket. $SAVE$ $5 & shipping charges by opting to utilize
straightened coathangers instead of high-tech alloy frame.
(design approved by a certified electrical engineer)

---ALERT---some ESSENTIAL nutrients are missing from commercial chemical
fertilizers & soilless mixes produced today, try new VITA-GROW
tablets,containing Iron,Zinc,Selenium,Silicon,Folic acid,B1,etc.
makes mineral defficiencies obsolete : only $9

OLD OLD OLD Foolproof Tomato Cloning kit-enough cloning hormone (IBA) to
make 100 Litres (25 gal.) of cloning solution & instructions, found
to work very well when cuttings are soaked in the solution in
bottles in a cool, softly-lit area for 48 hrs., afterwhich the
"clones" should be transplanted to moist places, like trays
filled with 1/4 cloning solution & 3/4 floating perlite $9

NEW NEW NEW the Groundskeeper(tm) & Orbital(R) irrigation system fittings
(4 channel digital 1-99 min. timer & adjustable solenoid for watering $?)

NEW & FRESH just right 90L(22.5 gal.) heavy-duty HDPE reservoir/planter $9

EXC LUS IVE "Clean-Air Tube" how-to plans to build an odor/pollutant-
filtering tube out of pipe or a box or some vinyl tube or whatever
that can be filled with Activated Carbon or new Space-Age synthetic
environmentally friendly regenerable carbon (see below) & an air pump
(see below) can be attached to filter out unwanted odors, VOC's, etc.
to keep plants healthy, found to be very effective & cost-efficient.

OLD OLD OLD "Daylight, 5000, 6500, 10&20 000 K" reusable light filters for
regular MH bulbs allowing for modification of light source & simulation
of natural lighting in any region. Heat-resistant unbreakable gel
guaranteed not to melt unless you put it too close to the bulb &/or
NEW IR (infra-red) reflector to reduce heat in high-heat fixtures $?
e-mail me for price on custom size & colour.
Found to work best if clipped to the reflector as all reflected light
will be of desired wavelengths, reducing loss of light in filter.
sleeves for fluorescents available of course
From $?/square foot.
Ask for your FREE sample with any other order !
Wide selection of reflective specular sheeting such as Mylar with
varied physical & optical characteristics to line hoods available

OOOOOLLLLDD 1972 Volkswagen Westfalia camper,new brakes,rebuilt engine,orig.
ORGANICK!!! Sundew plants, frogs & toads for Fungus-gnat control
OLD OLD OLD Greenhouse-Nursery style hot water propagation-tray heater
OLD OLD OLD Live Canadian algae, moss, bog & other varieties of native plants
OLD BUT FUN Bug Zappin' lights
COMING SOON Zeolites, Azeotropes, Smectites, Isolite(tm) & Oocites !!!
COMING SOON Oysters (grown using aseptic technique)
OLD OLD OLD Cloning Wax ! (leaf coating anti-transpirant emulsion)
COMING SOON Lasers for sealing cuttings when "cloning" (use powder now)
OLD OLD OLD Localized Ozone generator for 4500 cubic feet $94 (2.6 kg)
(bacteria, fungi, mold & mildew will run or die !!)
OLD OLD OLD Yeast ! It's not just for bakin' anymore ; CO2 production
Float-valve to convert any reservoir into self-discharging &
refilling CO2 generator (pump on timer to expel water required) $?
Another option is to use a garden hose timer to fill, with a siphon-
fed glucose injector ($?) & an overflow fitting to drain.
COMING LATE Microwave-activated Sulphur light (still a novelty) $?
OLD OLD OLD Tissue-culture kit with everything, lab. grade $?
NEW NEW NEW FREE "Kitchen-Sink" plans 4 tissue-culture (Thanxs 2 Dr.A.Taji)
DOITYERSELF Greenhouse kits (galvanized or PVC pipe) $?
DOITYERSELF Flow tray kits-2X4's cut to size,bolts & heavy plastic liner
SPECIALIZED Mycorrhizae & Rhizobium `Grab Bag'-a festering mass of microbials
DOITYERSELF Orchid stands,fluor. light stands, etc. kits from galv. pipe
DOITYERSELF Grow-Bags:perlite,long-strand sphagnum peat moss & organic
fertilizer in black plastic or cloth bag
OLD OLD OLD FREE plans to convert any spare room into Grow-Room (see below)
BOOKED->JAN Plant Tissue Culture/micropropagation laboratory
OLD OLD OLD `Breathing Wall' installations available for reasonable price
FOR LETTUCE Germination bulb-ask me nice & I'll tell you what colour
LATE BUT IN Fog-It(tm) & Pa-Te(R) misting & propagation nozzzles

***All our system designs are approved by a certified electrical engineer***

Mike's Special Metal Halide 1000W complete vert. or hor. setup $?(20 kg)
400 " ?(15 kg)
(kit or assembled with Super 4000K or Sunny-Boy bulb,wires,box & reflector)

High Pressure Sodium 1000W kit or ready to plug in as above $?(22 kg)
400 " ?(16 kg)
430 " ? "
150W mountable unit spotlight all-in-one ?(11 kg)

"Pro-Ultralite" (tm) HOR reflector or Incredibly Reflective & lightweight
pebble-finish embossed Aluminum or Chrome-Mirror finish Large Horizontal or
Vertical reflector for any above +$?
OR
Mylar insert with clips to fit good-ol' white steel reflectors $9

**Bare-bones kits,ballasts,bulbs,sockets,wires,boxes,reflectors,etc.,etc.**
Mogul socket $?(0.8 kg)
HPS 1000W 5 kV pulse rated mogul socket ? "
SOW 16/3 600 V cabtire wire (for ballast to bulb) $?
grounded 3-prong plug with 6'SJTW 14/3 300 V cabtire wire $?
Wonderlite self-ballasted 160W Mercury flood with reflector $?(1.5 kg)
Son Agro 430 Watt bulb (more blue, can replace 400W HPS) $? "
(HPS bulbs have the highest Effective flux of all the HID's)

YOU CAN BUY A WHOLE 'NUTHER SYSTEM FOR LITTLE MORE THAN A CONVERSION BULB

Conversion bulbs 960W MH -> HPS $?(2 kg)
340 ?(1.7 kg)
250 ?(1.5 kg)
120 ? "
White-Lux(tm) or Chromfit(tm) lamps (HPS retrofit) HPS->MH 400W $? "
950 $?(2 kg)
High Pressure Sodium bulbs 1000W $?(2 kg)
(less U.V. than MH, universal mounting, 400 ?(1.5 kg)
250 ? "
150 ? "
Iwasaki Super X(tm) MH bulbs 1000W $?(2 kg)
400 ?(1.7 kg)
Good-old Universal MH's 4000K 1000W $?(2 kg)
also available in "Super" with 25% more lumens 400 ?(1.7 kg)
250 ?(1.5 kg)
175 ? "
Sunny-Boy MH bulb with Sodium peak (more yellow-orange-red)1000W$?(2 kg)
400 $?(1.7 kg)

DID YOU KNOW THAT THE "LUMEN" IS UNFORTUNATELY CALIBRATED TO THE HUMAN EYE ?

AgroSun MH bulb(35 % more red,125 lumens/Watt,HOR only) 1000W $?(2 kg)
400 ?(1.7 kg)
Iwasaki Super-Blaster 125 lumens/Watt (Base-Up only) 1000W $?(2 kg)
400 ?(1.7 kg)
Ballasts (multitappers) : MH 1000W $?(13 kg)
400 ?(8 kg)
250 ?(7 kg)
175 ?(6 kg)
HPS 1000W $?(16 kg)
400 ?(9 kg)
250 ?(8 kg)
150 ?(7.5 kg)

10"X10"X6" DUKO CSA UL electric box with knockouts & holes drilled $23(4 kg)
No "heat-sink" or "vented" boxes, add silicone to make 100% waterproof
Polyester resin/perlite encapsulated potting of core & coil +$?(3.5kg)

Please feel free to ask us our opinions about Spectral distribution vs.
CRI vs. Degrees Kelvin Temperature rating vs. Lumen/Watt output vs.
Photosynthetic response curve vs. Footcandle rating vs. Absorbance vs.
Action spectra vs. Spectral radiant vs. Effective flux vs. PAR value

Sylvania Gro-Lux wide spectrum 4' fluor. tubes (plant & aquar.) $?
High-Output,Power-Twist,Verilux(R),Vitalite(tm),Solux(tm),Durolite(R) also
Cool Whites (limited quantities) 99 cents
Daylights (low lumens, high PAR rating) ? "

U.V. producing bulbs :
180-220 nm. (ozone producing)
220-280 (germicidal,bactericidal,UVC,245 nm,253.7 nm peak)
280-320 (erythemal,tanning,UVB (for Vitamin D production kids))
320-380 (secondary luminance,UVA)
380->750 Visible
Super Actinic (380-480 nm.for aquariums,diazo,jaundice,420 pk)
Actinic "50/50"(300-460 nm.,counterfeit detection,blacklight)
Blacklight (310-400 nm.insect traps,photocopy inspection)
Blacklight Blue (350-380 nm. for discos,has filter for vis.)

15 kg. high quality fertilizer (any flavour,all essentials) $?
(most available in small quantites from $5 per kilo.)
18-9-27 popular complete 1-part Hydroponic formula
6-11-31 " " 2-part " " (high Mg)
7-11-27 " " " " " (high Fe)

0-10-10,15-30-15,21-7-7,10-52-10,20-7-10,15-15-18,12-0-44,15-0-0,etc,etc.
(NH2)2CO,NH4NO3,(NH4)2HPO4,Ca(H2PO4)2,MgSO4,NH4H2PO4,KCl,K2SO4,H3BO3,etc,etc.

Low-Nitrate formula available for lettuce in the North
Slow-Release 14-14-14 also
Mag-Amp (tm) 7-40-2 too
Chelated component trace elements for PMDD, MgSO4 & other sulfates,etc.etc.
Micronutrient mix :Bo(1.30%),Mo(0.06%),Fe(7%),Mn(2%),Cu(0.10%),Zn(0.40%)
& components available $? per pound (EDTA & DTPA chelating agents)

Cheap plastic fertilizer scale (0-450 gram, quite accurate) $3
Super-accurate & precise digital scale (1g-1kg) $?
Hand-crafted balance with alligator clips & 5 free 5g weights $9

**ORGANIC** fertilizers & ammendments :
Eco brand nutrients, all flavours
Kelp in super-concentrated soluble tablets (Excellent foliar feed,
absolutely chocked full O' trace elements, micronutrients,
hormones, minerals & many beneficial biocatalysts)
Blood
Fish 5-2-2
0-10-10
Seaweed 1-1-1
Bat Guano 2-18-0 call for prices
10-3-1
Shrimp compost
Mushroom compost
Worm castings
Bone/Alfalfa/Fish/Feather/etc. meals
Greensand (K2SixOy)
Algal puree (with or without cytokinin)
Old Growth & Rainforest tree ashes (I wonder if they could use
anything else to make paper ? hmmmmmmm)
Pumice, Limestone (Dol. or Cal.), Rock Phosphate, Gypsum (see below)
Ground Oyster shell
Malt
etc.etc.etc.etc.etc.etc.etc.etc.etc.etc.etc.etc.etc.etc.etc.etc.etc.

Recipe Booklet VOL.II with many, many of my favourites including :
-Organic Carbohydrate "Rinse" solution, with B1 $9
-Cloning spray with cytokinin to delay senescence
-Mike's Magic liquid
-Sphagnum stew with Kelp
-Coconut milk spritzer with or without Inositol
-Bitter pistillate cones of the vine liqueur (saturated with CO2)
-etc.

Many books also available :
Gardening Indoors George Van Patten
Hydroponic Home Food Gardens Dr. Howard Resh
The Expert Series (1-4) Dr. G.H. Hessayon
Propagation Handbook Geoff Bryant
Complete Book of Plant Propagation Wright & Titchmarsh
Orchids Simplified Henry Jaworski
Best of Growing Edge various
Gardening Indoors with Cuttings George Van Patten
Knowing & Recognizing (pests) J. Coppert
The Mushroom Cultivator Paul Tamets & J.S. Chilton
Growing & Displaying Bonsai C. Lewis & N. Sutherland
etc.etc.etc.etc.etc.etc.etc.etc.etc.

Biological control & Predators : Steinernema carpocapsae (Nematodes)
Aphidoletes aphidimyza (Aphid pred.),Cryptolaemus montrouzieri
(Australian Lady Beetles),Amblyseius fallacis (Field Mite pred.)
Hypoaspis sp.(Fungus Gnat pred.),Phytoseiulus persimilis
(Spider mite pred.),Chrysopa carnea (Lacewings),Hippodamia
convergens (ladybugs),etc.etc.etc.

Ultrasonic, Sticky Strips, Pheromones & traps, Diatomaceous Earth,
Insecticidal soap, etc. also available

Seeds : Richter's Herb seeds (Grab-Bag 5 for $5)tell 'em we sent U
Stokes seeds
Enza seeds
Also: Tropical Rainforest seeds
Ginseng (cold stored)
Coffee (fresh or cold stored)
Eucalyptus
Feverfew
Hen's 'n Chicks
St. Johnswort
Greek Mountain Tea
Hops
Irish Moss
Jacob's Ladder
Jojoba
Pig's Ears
Pyrethrum
Wallflower
Sweetgrass
Witch Hazel
White Pine
Neem
Prickly Pear

Mushroom cultivating kits including Malt/Cornsteep Dextrose
agar,cheese wax,substrate,petri dishes,filter disks,
etc. to grow any mushrooms found (avoid Death Angel)

etc.etc.etc.etc.etc.etc.etc.etc.etc.

Compost thermometer (95-135 deg.Farenheit) $?(0.5 kg)
Hydrofarm 6' light track (most efficient) $?(10 kg)
4' " $?(8 kg)
Light Rail 3 (no chains) $?(9 kg)
IR transmitting black plastic, regular black, clear, various mils. $?(?kg)
6 mil. black & white Agro. plastic UV resistant liner, 10'X100' $?(19 kg)
8 mil. " ?(23 kg)
20 mil. black, non-toxic PVC UV resistant flexible 10 yr. liner $?
40 mil. " ?
mylar 2 mil 54" X 25 feet $23(3.8 kg)
" 100 ?(15 kg)
Ionizers ! $?
Activated charcoal for odor control & VOC adsorption (per pound)$?
Space-Age synthetic environmentally friendly regenerable carbon $?/L(1 kg)
Happy plants need healthy air ! Kills Yeast smell too.
Furnace filter charged with activated charcoal (custom size) $?(1.5 kg)
Air pumps (Optima,Maxima) various sizes from 1500-5500 cc./min. $?(1-2 kg)
Copper Sulfate (can be used @ 0.16 mg/L to control algae) $3
H2O2 35% with stabilizing agent, 1 quart (no mail order) $?
HNO3, H3PO4, KOH, etc. call

Large 6' round HDPE plastic flow-tray/reservoir (115 gal./460 L)$19(4.5 kg)
small 4' " (~60 gal./240 L) 14(3.5 kg)
(because of the above trays' flexibility,durability & ability to be grouped
together using bolts, it allows for them to form huge growing areas with
very low $/square foot or metre values, making them very popular, both
now come with holes, pipe & fittings ready to attach to virtually any pump,
available in heavy-duty double-thickness rigid industrial model as well)

Fill/drain fitting for above(use 1 & drill holes in input line) 99 cents
Kevlar (tm) carbon fiber bulletproof flow trays coming soon
Polyester resin & hardener for use with above (pint, quart or gallon) $?
Vektran (tm) carbon fiber liners (same as on Mars-lander air-bags)
Epoxy resin & hardener for use with above (pint, quart or gallon) $?
ABS rigid seamless or expandable seamed (requiring silicone bead & screws)
commercial greenhouse quality flow trays $?->
Custom built Fibreglass flow trays with Silicone liners $?
Bromthymol-blue (pH 6.0-7.6 indicator) with colour chart $?
Methyl-red & litmus paper also available
Deluxe pH kit : either or both of above with 2 pints pH+ & pH- $9
Digital pH meter (accurate to hundredths) $?(0.7 kg)
(clean with a toothbrush & paste then dish soap when)
(dead, go in & out & a little side to side)
Replacement electrode $?(0.2 kg)
Digital waterproof salts pen (+/- 10 ppm) $?(0.7 kg)
PLANS to use cheap analog Ohm-multimeter as E.C. meter FREE
(required : 1K(1000) Ohm-meter with fresh batteries,3 cups & some sandpaper)
(stick yer probe tips in & shake 'em to get a steady reading every time)
Portable ORP/RedOx probe (-999 - +999 mV) $?(0.7 kg)
Analog Hydrofarm light meter (1fc=1lm/sq.ft & 1lux=1lm/sq.m) $?(0.8 kg)
Digital light meter $69(0.9 kg)
UV or O3 H2O sanitizer $?
Compressed Bale of Sogevex TBK Fibrous Blond Sphagnum Peat Moss $?
Expanded clay pellets (grorocks,hydrocorn,whatever) 50 L & up $?
Leca(tm) kiln-fired clay pellets,high CEC & indestructible,50 L $?(24 kg)
pea-gravel $?
4 cubic feet of Perlite or Vermiculite $?
Bail of 16 6" Rockwool slabs (chemical free unlike insulation) $?(10 kg)
Oasis aggro-foam LC-1 starter sheets, 104 cubes (slabs also) $?(0.5 kg)
Case of 216 4" Rockwool cubes $?(11 kg)
Aggrofoam polyurethane 10 year slabs $?
Bail of Coconut fibre $?
Pro-Mix "BX" "HP" "PGX" "NX" in 3.8-55 cu.ft. compressed bale $?
X-Large pack of Soil moisture-retaining polymer crystals $?
15 lb. compressed CO2 tank (empty only for mail-order) $?
CO2 injection system (0-60 CFM flowgage & solenoid, fully wired)$99(3.0 kg)
(dual-dial regulator flowgage & FREE Teflon (tm) tape to prevent leaks)
Needle-valve for above $?
Fully wired & grounded industrial 150 psi. H2O or CO2 solenoid $19.99(0.8 kg)
(unions, nipples, couplings & adapters available for above)
Digital Grounded 25 Amp heavy-duty timer for use with above $?(2 kg)
24 VAC UV resistant adjustable solenoid with power pack $?(0.8 kg)
Aquafizzzzz airstone to use with above for aquatic plants $(0.3 kg)
(bury the above or use a rock as a "reactor" to trap bubbles to dissolve)
Green Air CD-3 CO2 generator $?(8.5 kg)
50 lbs. sodium bicarb. (baking soda to mix with acetic acid) $?
(can also be mixed with activated charcoal for air purification)
Gypsum to convert Na+ for leaching from Sodic & Saline soils $?
50 lbs. Dolomite Lime (adds Ca & Mg & balances pH too) $?
4 l (1 gal.) glacial (~100%) acetic acid (mix with either above)$?(no mail)
Wicked paraffin unscented candles for CO2 gen. & O2 reduction $5/doz.
8 pail monster plant setup with pump,perlite,nutrients,etc. $?
Complete Quantum (special !!) $?(25 kg)
Cooling thermostat for vent fan (heavy duty agricultural model) $?(2 kg)
Dehumidistat, highly recommended over thermostat in cold areas $69(0.75 kg)
450 GPH Attwood 12V submersible pump with power pack for 5 more $?(3.5 kg)
GSW Diamond, Flotec, Oase, Pro, Little Giant 90-2000 gph fountain pumps $call
Filter bag for any pump to prevent drip-line clogging $?
12'-32' submersible Soil heating cable, thermosatat @ 74 deg.F $?
Submersible (fully) reservoir heater with thermostat (300 Watt) $?
Hydrofarm (tm) propagation heating mat (14" X 22") $?
250-1380 CFM vent blowers to fit in duct or dryer line $?
150 CFM Whisper (tm) box-fan with cord $?(2 kg)
(can easily be attached to reflector for cooling & circulation)

(NO Colchicine)
('cause Quincy said so)

this list is updated daily & prices are subject to change without notice

please leave your proper e-mail return address,
or use a friend's if you have to,
tell us your City & Province/State if you want us to check
shipping charges

1-buy a wading pool or build a flow tray out of 2X4's and line with plastic
& use garbage pails or an iron pipe stand with hardboard on top or a table
to support your tray
2-buy a 12V bilge pump which can then be connected to a car battery charger
or other 12V power supply (or sump or fountain or fish pump)
3-buy a bilge-pump thru-hull fitting and connect to your pump which is now
in your garbage pail or other reservoir
4-fill the res. with water and leave the pump on full blast to see if it is
going to overflow your tray, if it does, drill a couple of holes in the
hose which will reduce the flow, or use plastic insert `T' fittings,
or add an overflow fitting, make sure that your pump doesn't run dry
5-fill the tray to 4-8 inches with Perlite & soilless mix (I haven't tried
compost yet myself) at 10:1, I know it will float at first, so leave your
reservoir empty and top fill to moisten, it will stop floating in a
while, or use pea gravel or river stone, make sure to add some
dolomitic limestone to balance pH, ,also use plastic patio door
screen on your fill/drain fitting
6-mix a complete soluble fertilizer according to the instrucions on the
label,(I didn't say non-organic), also add a super-concentrated soluble
Kelp tablet to your reservoir to ensure all trace elements & minerals
(Zinc,Silicon,Selenium,etc.etc.) are present and grow away, add a 400
or 1000 Watt MH or HPS light on a mover & supplemental CO2 for best
results

Testimonials :
"The Best hydroponics turned my closet into a freakin' jungle."
Gerald Fitzpatrick, sometown, somecountry

questions for JoJo questions for Mike Freenet ! Yahoo ! Yahoo Canada ! GROWROOM ! Canadian Forests Ag. Canada Crops ? GU UNE ASU USU NYU CU CU2 SUNY LIU Ag. Ont. Greenhouse Tech. Pest Management Research branches Environment Canada ? ? ? ? ? Mushroom People Photometers youth OMAFRA Lighting ! Gardening ! Trout Effluent WATgreen ADM Sulfur lights ! Pesticides Lights ! More Lights ! ? UK Gardens ! FREE Rocketmail ! FREE Junomail ! Links ! Linxs ! Aquaria ! FREE Hebs ? Aqueous your name here your name here your name here your name here your name here